Index: /trunk/gli/src/org/greenstone/gatherer/gui/EnrichPane.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/EnrichPane.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/EnrichPane.java	(revision 8313)
@@ -1146,377 +1366,123 @@
 
 
-    /**
-     * This class is a little bit complex, a little bit subtle, and a little bit odd.
-     * The strange interaction model is due to the fact that it is very tightly
-     * coupled to the EnrichPane.
-     *
-     * The interaction is complex because there are three separate controls that the
-     * user may interact with, each of which can affect the other two. The three
-     * controls are:
-     *   - The "assigned metadata" table, at the top right of the meta edit pane.
-     *   - The "metadata value" text field, where users can type in new values.
-     *   - The "metadata value tree", which shows other values that have been
-     *     assigned to the selected metadata element.
-     *
-     * The interactions are:
-     *   - The "assigned metadata" table
-     *     Users may select one (and only one) row in this table. Selecting a row
-     *     chooses one metadata element. The text field will be set to the current
-     *     value of the metadata element. This value will also be selected in the
-     *     metadata value tree.
-     *
-     *   - The "metadata value" text field
-     *     If the value the user has typed in this is a prefix of an entry in the
-     *     value tree, this value will be selected in the value tree. In this case,
-     *     pressing "Enter" will complete the value (ie. make the value in the text
-     *     field the same as the value in the tree). This is to allow users to
-     *     quickly and easily assign existing metadata values to new documents.
-     *
-     *   - The "metadata value tree"
-     *     Selecting a value in the tree will set the text field to this value.
+    /** A listener for right mouse button clicks over the collection tree. */
+    private class RightButtonListener
+	extends MouseAdapter {
+	/** Called whenever a mouse click occurs (right or left) over a target component.
+	 * @param event A <strong>MouseEvent</strong> containing further information about the mouse click action.
+	 * @see org.greenstone.gatherer.gui.EnrichPane.RightButtonMenu
+	 */
+	public void mouseClicked(MouseEvent event) {
+	    if (SwingUtilities.isRightMouseButton(event)) {
+		new RightButtonMenu(event);
+	    }
+	}
+    }
+
+
+    /** When a user right-clicks within the collection tree they are presented with a small popup menu of context based options. This class provides such functionality.
      */
-    private class GValueTree
-	extends JPanel
-	implements TreeSelectionListener {
-	private boolean ignore_tree_selection_event = false;
-	private boolean manual_text_edit_event;
-	private CardLayout card_layout;
-	private String card_showing = null;
-	/** The metadata element that is currently selected. */
-	private ElementWrapper selected_metadata_element = null;
-	private GValueModel vm;
-	private JTextArea extracted_message;
-	private JTextField value;
-	private JTree tree;
-
-	static final private String NONE = "None";
-	static final private String TREE = "Tree";
-
-
-	public GValueTree(int width, int height)
+    private class RightButtonMenu
+	extends JPopupMenu
+	implements ActionListener {
+
+	/** The tree over which the right click action occurred. */
+	private DragTree tree = null;
+	/** The tree nodes selected when the right click action occurred. */
+	private TreePath[] selection_paths = null;
+	/** The file record over which the right click action occurred. */
+	private FileNode node = null;
+
+	private JMenuItem collapse_folder = null;
+	private JMenuItem expand_folder = null;
+	private JMenuItem metaaudit = null;
+	private JMenuItem open_externally = null;
+
+
+	private RightButtonMenu(MouseEvent event)
 	{
 	    super();
-
-	    setFont(Configuration.getFont("general.font", false));
-	    setPreferredSize(new Dimension(width, height));
-
-	    JPanel metadata_pane = new JPanel();
-
-	    JPanel value_pane = new JPanel();
-	    JLabel value_label = new JLabel();
-	    Dictionary.registerText(value_label, "MetaEdit.Value");
-
-	    JPanel value_field_pane = new JPanel();
-	    value = new JTextField();
-	    value.setBackground(Configuration.getColor("coloring.editable_background", false));
-	    value.setForeground(Configuration.getColor("coloring.editable_foreground", false));
-	    value.setPreferredSize(new Dimension(413, 24));
-	    value.getDocument().addDocumentListener(new DocumentListenerImpl());
-	    value.addKeyListener(new MetadataFieldListener());
-	    value.setFocusTraversalKeysEnabled(false);
-	    Dictionary.setTooltip(value, "MetaEdit.Value_Field_Tooltip");
-
-	    JPanel button_pane = new JPanel();
-
-	    JPanel tree_pane = new JPanel();
-	    JLabel tree_label = new JLabel();
-	    Dictionary.registerText(tree_label, "MetaEdit.Tree");
-
-	    tree = new JTree(new GValueModel());
-	    tree.addTreeSelectionListener(this);
-	    tree.getSelectionModel().setSelectionMode(TreeSelectionModel.SINGLE_TREE_SELECTION);
-	    tree.setRootVisible(false);
-	    tree.putClientProperty("JTree.lineStyle", "Angled");
-
-	    JPanel extracted_pane = new JPanel();
-	    JPanel extracted_header_pane = new JPanel();
-	    extracted_message = new JTextArea("");
-	    extracted_message.setEditable(false);
-	    extracted_message.setLineWrap(true);
-	    extracted_message.setOpaque(false);
-	    extracted_message.setWrapStyleWord(true);
-
-	    card_layout = new CardLayout();
-
-	    // Layout
-	    value_field_pane.setBorder(BorderFactory.createEmptyBorder(0,5,0,5));
-	    value_field_pane.setLayout(new BorderLayout(0, 0));
-	    value_field_pane.add(value, BorderLayout.CENTER);
-
-	    button_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
-	    button_pane.setLayout(new GridLayout());
-	    button_pane.add(add);
-	    button_pane.add(update);
-	    button_pane.add(remove);
-
-	    value_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
-	    value_pane.setLayout(new BorderLayout());
-	    value_pane.add(value_label, BorderLayout.WEST);
-	    value_pane.add(value_field_pane, BorderLayout.CENTER);
-	    value_pane.add(expand, BorderLayout.EAST);
-	    value_pane.add(button_pane, BorderLayout.SOUTH);
-
-	    tree_pane.setLayout(new BorderLayout());
-	    tree_pane.add(tree_label, BorderLayout.NORTH);
-	    tree_pane.add(new JScrollPane(tree), BorderLayout.CENTER);
-
-	    metadata_pane.setLayout(new BorderLayout());
-	    metadata_pane.add(value_pane, BorderLayout.NORTH);
-	    metadata_pane.add(tree_pane, BorderLayout.CENTER);
-
-	    extracted_header_pane.setLayout(new BorderLayout());
-	    extracted_header_pane.add(expand_for_extracted, BorderLayout.EAST);
-
-	    extracted_pane.setBorder(BorderFactory.createEmptyBorder(0,10,25,0));
-	    extracted_pane.setLayout(new BorderLayout());
-	    extracted_pane.add(extracted_header_pane, BorderLayout.NORTH);
-	    extracted_pane.add(extracted_message, BorderLayout.CENTER);
-
-	    this.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
-	    this.setLayout(card_layout);
-	    this.add(metadata_pane, TREE);
-	    this.add(extracted_pane, NONE);
-	    card_showing = TREE;
-	}
-
-
-	public GValueModel getModel() {
-	    return (GValueModel) tree.getModel();
-	}
-
-
-	public ElementWrapper getSelectedMetadataElement() {
-	    return selected_metadata_element;
-	}
-
-
-	public String getSelectedValue() {
-	    String raw_value = value.getText();
-	    raw_value = Codec.transformUnicode(raw_value);
-	    raw_value = Codec.transform(raw_value, Codec.ENCODE_PATH);
-	    raw_value = Codec.transform(raw_value, Codec.ENCODE_SQUARE_BRACKETS);
-	    return raw_value;
-	}
-
-
-	public void setSelectedMetadataElement(ElementWrapper element)
-	{
-	    ///ystem.err.println("Setting selected metadata element to: " + element);
-	    if (element == null) {
-		selected_metadata_element = null;
+	    this.tree = collection_tree;
+
+	    // Get the paths currently selected in the tree
+	    selection_paths = tree.getSelectionPaths();
+
+	    // Create an appropriate context menu, based on what is selected
+	    buildContextMenu(selection_paths);
+
+	    // Show the popup menu on screen
+	    show(tree, event.getX(), event.getY());
+	}
+
+
+	private void buildContextMenu(TreePath[] selection_paths)
+	{
+	    // If nothing is selected, no options are available
+	    if (selection_paths == null) {
 		return;
 	    }
 
-	    // Don't bother if the element selected is the same as the current one
-	    if (selected_metadata_element != null && element.equals(selected_metadata_element)) {
+	    DebugStream.println("Number of files/folders selected: " + selection_paths.length);
+
+	    // Always have meta-audit option
+	    metaaudit = new JMenuItem(Dictionary.get("Menu.Metadata_View", collection_tree.getSelectionDetails()), KeyEvent.VK_A);
+	    metaaudit.addActionListener(this);
+	    add(metaaudit);
+
+	    // Only meta-audit is available if multiple items are selected...
+	    if (selection_paths.length > 1) {
 		return;
 	    }
 
-	    if (vm != null) {
-		// Close any expanded paths in the tree
-		GValueNode root_node = (GValueNode) vm.getRoot();
-		for (int i = 0; i < root_node.getChildCount(); i++) {
-		    GValueNode child_node = (GValueNode) root_node.getChildAt(i);
-		    TreePath child_path = new TreePath(child_node.getPath());
-		    if (tree.isExpanded(child_path)) {
-			tree.collapsePath(child_path);
-		    }
-		}
-	    }
-
-	    // Load the model for the newly selected metadata element
-	    selected_metadata_element = element;
-	    if (Gatherer.c_man != null && Gatherer.c_man.getCollection() != null && Gatherer.c_man.getCollection().msm != null && tree != null) {
-		vm = Gatherer.c_man.getCollection().msm.getValueTree(element);
-		tree.setModel(vm);
-	    }
-
-	    // Special case the extracted metadata set
-	    if (selected_metadata_element.getNamespace().equals(Utility.EXTRACTED_METADATA_NAMESPACE)) {
-		// Display the panel showing the "you cannot edit this metadata" message
-		String[] args = new String[1];
-		args[0] = selected_metadata_element.toString();
-		Dictionary.registerText(extracted_message, "MetaEdit.AutoMessage", args);
-		card_layout.show(this, NONE);
-		card_showing = NONE;
+	    TreePath path = selection_paths[0];
+	    node = (FileNode) path.getLastPathComponent();
+
+	    // ---- Options for file nodes ----
+	    if (node.isLeaf()) {
+		// Open the file in an external program
+		open_externally = new JMenuItem(Dictionary.get("Menu.Open_Externally"), KeyEvent.VK_O);
+		open_externally.addActionListener(this);
+		add(open_externally);
+		return;
+	    }
+
+	    // ---- Options for folder nodes ----
+	    // Collapse or expand, depending on current status
+	    if (tree.isExpanded(path)) {
+		collapse_folder = new JMenuItem(Dictionary.get("Menu.Collapse"), KeyEvent.VK_C);
+		collapse_folder.addActionListener(this);
+		add(collapse_folder);
 	    }
 	    else {
-		// Display the panel for viewing and assigning metadata
-		card_layout.show(this, TREE);
-		card_showing = TREE;
-	    }
-	}
-
-
-	/** Handles TreeSelectionEvents. */
-	public void valueChanged(TreeSelectionEvent event)
-	{
-	    if (tree.getSelectionCount() != 0 && !ignore_tree_selection_event) {
-		TreePath path = tree.getSelectionPath();
-		GValueNode node = (GValueNode) path.getLastPathComponent();
-		setSelectedValue(node.getFullPath(true));
-	    }
-	}
-
-
-	/** Sets the value in the text field. */
-	public void setSelectedValue(String val)
-	{
-	    // Setting the text of the field causes the DocumentListener to be notified, and
-	    //   updating the tree is handled there (DocumentListenerImpl::validate())
-	    if (!card_showing.equals(NONE)) {
-		// Decode val
-		///ystem.err.println("Before transforms: " + val);
-		//val = Codec.transform(val, Codec.DECODE_SQUARE_BRACKETS);
-		//val = Codec.transform(val, Codec.DECODE_PATH);
-		///ystem.err.println("Setting selected value to: " + val);
-		manual_text_edit_event = val.equals("");  // Set to false unless val == ""
-		value.setText(val); ///odec.transform(val, /odec.GREENSTONE_TO_TEXT));
-		value.setCaretPosition(0);
-		manual_text_edit_event = true;
-	    }
-	}
-
-
-	/** Returns a TreePath for the node most closely matching the metadata value. */
-	private TreePath getClosestPath(String val)
-	{
-	    ///ystem.err.println("Select closest path to: " + val);
-	    // Start at the root of the tree
-	    GValueNode tree_node = (GValueNode) tree.getModel().getRoot();
-
-	    // Hierarchical values are separated using '|'
-	    PatternTokenizer tokenizer = new PatternTokenizer(val, StaticStrings.PIPE_STR);
-	    while (tokenizer.hasMoreTokens()) {
-		String token = tokenizer.nextToken();
-
-		// All components except the last must match exactly
-		if (tokenizer.hasMoreTokens()) {
-		    for (int i = 0; i < tree_node.getChildCount(); i++) {
-			GValueNode child_node = (GValueNode) tree_node.getChildAt(i);
-			if (child_node.toString(GValueNode.DOM).equals(token)) {
-			    // The matching node has been found, so move onto the next token
-			    tree_node = child_node;
-			    break;
-			}
-		    }
-		}
-
-		// The last component may match partially
-		else {
-		    for (int i = 0; i < tree_node.getChildCount(); i++) {
-			GValueNode child_node = (GValueNode) tree_node.getChildAt(i);
-			if (child_node.toString(GValueNode.DOM).startsWith(token)) {
-			    // The closest node has been found, so return its path
-			    return new TreePath(child_node.getPath());
-			}
-		    }
-
-		    // Not even a partial match
-		    return null;
-		}
-	    }
-
-	    // If nothing else, return the path of the root node
-	    return new TreePath(tree_node.getPath());
-	}
-
-
-	/** This function is copied from JTree::setPathToVisible(), and modified so tree rows
-	    are always shown flushed left. Note: doesn't do accessibleContext stuff. */
-	private void scrollTreePathToVisible(TreePath path)
-	{
-	    if (path != null) {
-		tree.makeVisible(path);
-
-		Rectangle bounds = tree.getPathBounds(path);
-		if (bounds != null) {
-		    bounds.width += bounds.x;
-		    bounds.x = 0;
-		    tree.scrollRectToVisible(bounds);
-		}
-	    }
-	}
-
-
-	private class MetadataFieldListener
-	    implements KeyListener {
-
-	    /** Gives notification of key events on the text field */
-	    public void keyPressed(KeyEvent e) {
-		if (e.getKeyCode() == KeyEvent.VK_TAB) {
-		    // Tab: Auto-complete
-		    if (tree.getSelectionCount() != 0 && !getSelectedValue().equals("")) {
-			TreePath path = tree.getSelectionPath();
-			GValueNode node = (GValueNode) path.getLastPathComponent();
-			String val = node.getFullPath(true);
-			///ystem.err.println("Setting value to: " + val);
-			value.setText(val);
-			val = null;
-		    }
-		}
-		if (e.getKeyCode() == KeyEvent.VK_ENTER) {
-		    // Enter: Append the metadata value, if we're allowed to
-		    if (add.isEnabled()) {
-			add.doClick();
-		    }
-		}
-	    }
-
-	    public void keyReleased(KeyEvent e) { }
-
-	    public void keyTyped(KeyEvent e) { }
-	}
-
-
-	private class DocumentListenerImpl
-	    implements DocumentListener {
-	    /** Gives notification that an attribute or set of attributes changed */
-	    public void changedUpdate(DocumentEvent e) {
-		validate();
-	    }
-
-	    /** Gives notification that there was an insert into the document */
-	    public void insertUpdate(DocumentEvent e) {
-		validate();
-	    }
-
-	    /** Gives notification that a portion of the document has been removed */
-	    public void removeUpdate(DocumentEvent e) {
-		validate();
-	    }
-
-
-	    /** Ensures that the value text field and value tree are synchronized */
-	    private void validate()
-	    {
-		String value_text = getSelectedValue(); ///odec.transform(getSelectedValue(), /odec.TEXT_TO_DOM);
-		///ystem.err.println("\n(Validate) Value text: " + value_text);
-
-		// Ignore the validate() with empty text that occurs when value.setText() is used
-		if (!value_text.equals("") || manual_text_edit_event == true) {
-		    TreePath closest_path = getClosestPath(value_text);
-
-		    ///ystem.err.println("The closest path is: " + closest_path);
-
-		    // Select the new path in the tree
-		    // The tree selection event this causes must be ignored, since it alters value
-		    ignore_tree_selection_event = true;
-		    tree.setSelectionPath(closest_path);
-		    ignore_tree_selection_event = false;
-
-		    // If a folder has been specified, make sure it is expanded
-		    if (value_text.endsWith("\\") && !tree.isExpanded(closest_path)) {
-			tree.expandPath(closest_path);
-		    }
-
-		    // Make sure the path is visible on the screen
-		    scrollTreePathToVisible(closest_path);
-		    // One call should be enough, but it isn't in some cases (for some reason)
-		    scrollTreePathToVisible(closest_path);
-
-		    // Update the status of the buttons
-		    validateControls(); // Don't update the tools view itself
-		}
+		expand_folder = new JMenuItem(Dictionary.get("Menu.Expand"), KeyEvent.VK_O);
+		expand_folder.addActionListener(this);
+		add(expand_folder);
+	    }
+	}
+
+
+	/** Called whenever one of the menu items is clicked, this method then causes the appropriate effect. */
+	public void actionPerformed(ActionEvent event)
+	{
+	    Object source = event.getSource();
+
+	    // Collapse folder
+	    if (source == collapse_folder) {
+		tree.collapsePath(selection_paths[0]);
+	    }
+
+	    // Expand folder
+	    else if (source == expand_folder) {
+		tree.expandPath(selection_paths[0]);
+	    }
+
+	    // Meta-audit
+	    else if (source == metaaudit) {
+		Gatherer.g_man.showMetaAuditBox();
+	    }
+
+	    // Open in external program
+	    else if (source == open_externally) {
+		Gatherer.self.spawnApplication(node.getFile());
 	    }
 	}
Index: /trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 8313)
@@ -63,5 +63,6 @@
 import org.greenstone.gatherer.gui.tree.WorkspaceTree;
 import org.greenstone.gatherer.help.HelpFrame;
-import org.greenstone.gatherer.mem.MetadataEditorManager;
+import org.greenstone.gatherer.metadata.MetadataSet;
+import org.greenstone.gatherer.metadata.MetadataSetManager;
 import org.greenstone.gatherer.shell.GShell;
 import org.greenstone.gatherer.util.StaticStrings;
@@ -166,4 +167,5 @@
 	else if(esrc == menu_bar.file_close) {
 	    boolean cont = showSaveCollectionBox(true, false);
+	    // System.err.println("Here 1.");
 	    if(cont) {
 		tab_pane.setSelectedComponent(gather_pane);
@@ -252,22 +254,7 @@
 	// Metadata Options.
 	// *****************
-	else if (esrc == menu_bar.metadata_import) {
-	    JFileChooser chooser = new JFileChooser(new File(Utility.METADATA_DIR));
-	    MDSFileFilter filter = new MDSFileFilter();
-	    chooser.setFileFilter(filter);
-	    int returnVal = chooser.showDialog(Gatherer.g_man, Dictionary.get("MSMPrompt.File_Import"));
-	    if (returnVal == JFileChooser.APPROVE_OPTION) {
-		Gatherer.c_man.getCollection().msm.importMDS(chooser.getSelectedFile(), true);
-	    }
-	}
-	else if(esrc == menu_bar.metadata_edit) {
-	    showEditMetadataBox();
-	}
-	else if(esrc == menu_bar.metadata_export) {
-	    Gatherer.c_man.getCollection().msm.exportMDS();
-	}
-	else if(esrc == menu_bar.metadata_view) {
-	    showMetaAuditBox();
-	}
+// 	else if (esrc == menu_bar.metadata_view) {
+// 	    showMetaAuditBox();
+// 	}
 
 	// *************
@@ -658,11 +645,4 @@
     }
 
-    /** When the edit metadata option is choosen from the menu, this method is called to ensure we only edit the metadata if there is metadata loaded.
-     */
-    private void showEditMetadataBox() {
-	if(Gatherer.c_man.getCollection() != null) {
-	    Gatherer.c_man.getCollection().msm.editMDS(null, MetadataEditorManager.NORMAL);
-	}
-    }
     /** When the load collection option is choosen this method is called to produce the modal file load prompt.
      */
@@ -814,5 +794,7 @@
 	//case SaveCollectionBox.SAVE_YES:
 	Gatherer.c_man.setClosingThread(true);
+	// System.err.println("Here 2.");
 	Gatherer.c_man.saveCollection(close_after, exit_after);
+	// System.err.println("Here 3.");
 	// Wait until it is closed.
 	try {
@@ -823,7 +805,6 @@
 	    }
 	}
-	catch(Exception error) {
-	    DebugStream.println("Exception: " + error);
-	    DebugStream.printStackTrace(error);
+	catch (Exception exception) {
+	    DebugStream.printStackTrace(exception);
 	}
 	
@@ -859,5 +840,5 @@
 	}
 	// "View assigned metadata" menu item is disabled by default
-	menu_bar.metadata_view.setCanEnable(false);
+	// menu_bar.metadata_view.setCanEnable(false);
 	menu_bar.setMetaAuditSuffix(null);
 
@@ -867,10 +848,10 @@
 	    gather_pane.gainFocus();
 	    // "View assigned metadata" menu item is enabled for the "Gather" pane
-	    menu_bar.metadata_view.setCanEnable(true);
+	    // menu_bar.metadata_view.setCanEnable(true);
 	}
 	else if(selected_index == tab_pane.indexOfComponent(enrich_pane)) {
 	    enrich_pane.gainFocus();
 	    // "View assigned metadata" menu item is enabled for the "Enrich" pane
-	    menu_bar.metadata_view.setCanEnable(true);
+	    // menu_bar.metadata_view.setCanEnable(true);
 	}
 	else if(selected_index == tab_pane.indexOfComponent(design_pane)) {
@@ -953,30 +934,4 @@
 
 
-    private class MDSFileFilter
-	extends FileFilter
-    {
-	/** Override this method to return <i>true</i> only if the file extension is .mds.
-	 * @param f A possible mds <strong>File</strong>.
-	 * @return <i>true</i> if we should show this file, <i>false</i> otherwise.
-	 */
-	public boolean accept(File f)
-	{
-	    String file_name = f.getName().toLowerCase();
-	    if (file_name.endsWith(".mds") || file_name.indexOf(".") == -1) {
-		return true;
-	    }
-	    return false;
-	}
-
-	/** Retrieve the description for this filter.
-	 * @return The description as a <strong>String</strong>.
-	 */
-	public String getDescription()
-	{
-	    return Dictionary.get("MSMPrompt.File_Filter_Description");
-	}
-    }
-
-
     /** Listens to actions upon the menu bar, and if it detects a click over the help menu brings the help window to the front if it has become hidden.
      */
Index: /trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 8313)
@@ -57,5 +57,4 @@
     private JMenu file               = null;
     private JMenu edit               = null;
-    private JMenu metadata           = null;
     public JMenu help                = null;
     public JMenuItem file_associations;
@@ -71,7 +70,4 @@
     public JMenuItem edit_cut;
     public JMenuItem edit_paste;
-    public JMenuItem metadata_import = null;
-    public JMenuItem metadata_edit   = null;
-    public JMenuItem metadata_export = null;
     public JMenuItem help_about;
     public JMenuItem help_browse;
@@ -84,5 +80,4 @@
     public JMenuItem help_mirror ;
     public JMenuItem help_preview;
-    public MagicMenuItem metadata_view   = null;
 
     public MenuBar(MenuListener menu_listener)
@@ -178,34 +173,4 @@
 	edit.add(edit_paste);
 
-	// Metadata menu
-	metadata = new JMenu();
-	metadata.setEnabled(false);
-	metadata.setMnemonic(KeyEvent.VK_M);
-	Dictionary.registerText(metadata, "Menu.Metadata");
-
-	metadata_import = new JMenuItem();
-	metadata_import.addActionListener(Gatherer.g_man);
-	metadata_import.setMnemonic(KeyEvent.VK_I);
-	Dictionary.registerText(metadata_import, "Menu.Metadata_Import");
-
-	metadata_edit = new JMenuItem();
-	metadata_edit.addActionListener(Gatherer.g_man);
-	metadata_edit.setMnemonic(KeyEvent.VK_E);
-	Dictionary.registerText(metadata_edit, "Menu.Metadata_Edit");
-
-	metadata_export = new JMenuItem();
-	metadata_export.addActionListener(Gatherer.g_man);
-	metadata_export.setMnemonic(KeyEvent.VK_X);
-	Dictionary.registerText(metadata_export, "Menu.Metadata_Export");
-
-	metadata_view = new MagicMenuItem(Dictionary.get("Menu.Metadata_View") + " " + Dictionary.get("FileActions.No_Selection"), KeyEvent.VK_A);
-	metadata_view.addActionListener(Gatherer.g_man);	
-
-	// Layout (metadata sets menu)
-	metadata.add(metadata_import);
-	metadata.add(metadata_edit);
-	metadata.add(metadata_export);
-	metadata.add(metadata_view);
-
 	// Help menu
 	help = new JMenu();
@@ -287,6 +252,4 @@
 	this.add(Box.createHorizontalStrut(15));
 	this.add(edit);
-	this.add(Box.createHorizontalStrut(15));
-	this.add(metadata);
 	this.add(Box.createHorizontalGlue());
 	this.add(help);
@@ -296,5 +259,4 @@
 	file_close.setEnabled(ready);
 	file_save.setEnabled(ready);
-	metadata.setEnabled(ready);
     }
 
@@ -303,19 +265,18 @@
 	file.setEnabled(false);
 	edit.setEnabled(false);
-	metadata.setEnabled(false);
 	help.setEnabled(false);
     }
 
     public void setMetaAuditSuffix(String metaaudit_suffix) {
-	///ystem.err.println("**** Set suffix: " + metaaudit_suffix);
-	if(metaaudit_suffix == null) {
-	    metadata_view.setText(Dictionary.get("Menu.Metadata_View") + " " + Dictionary.get("FileActions.No_Selection"));
-	    metadata_view.setEnabled(false);
-	}
-	else {
-	    ///ystem.err.println("Set metadata view suffix: " + metaaudit_suffix);
-	    metadata_view.setText(Dictionary.get("Menu.Metadata_View") + " " + metaaudit_suffix);
-	    metadata_view.setEnabled(true);
-	}
+// 	///ystem.err.println("**** Set suffix: " + metaaudit_suffix);
+// 	if(metaaudit_suffix == null) {
+// 	    metadata_view.setText(Dictionary.get("Menu.Metadata_View") + " " + Dictionary.get("FileActions.No_Selection"));
+// 	    metadata_view.setEnabled(false);
+// 	}
+// 	else {
+// 	    ///ystem.err.println("Set metadata view suffix: " + metaaudit_suffix);
+// 	    metadata_view.setText(Dictionary.get("Menu.Metadata_View") + " " + metaaudit_suffix);
+// 	    metadata_view.setEnabled(true);
+// 	}
     }
 
@@ -344,33 +305,33 @@
 
 
-    public class MagicMenuItem
-	extends JMenuItem {
-
-	private boolean can_enable;
-	private boolean should_enable;
-
-	public MagicMenuItem(String title, int key_event) {
-	    super(title, key_event);
-	    super.setEnabled(false);
-	    can_enable = false;
-	    should_enable = false;
-	}
-
-	public void setCanEnable(boolean can_enable) {
-	    this.can_enable = can_enable;
-	    if (can_enable) {
-		super.setEnabled(should_enable);
-	    }
-	    else {
-		super.setEnabled(false);
-	    }
-	}
-
-	public void setEnabled(boolean should_enable) {
-	    this.should_enable = should_enable;
-	    if (can_enable) {
-		super.setEnabled(should_enable);
-	    }
-	}
-    }
+//     public class MagicMenuItem
+// 	extends JMenuItem {
+
+// 	private boolean can_enable;
+// 	private boolean should_enable;
+
+// 	public MagicMenuItem(String title, int key_event) {
+// 	    super(title, key_event);
+// 	    super.setEnabled(false);
+// 	    can_enable = false;
+// 	    should_enable = false;
+// 	}
+
+// 	public void setCanEnable(boolean can_enable) {
+// 	    this.can_enable = can_enable;
+// 	    if (can_enable) {
+// 		super.setEnabled(should_enable);
+// 	    }
+// 	    else {
+// 		super.setEnabled(false);
+// 	    }
+// 	}
+
+// 	public void setEnabled(boolean should_enable) {
+// 	    this.should_enable = should_enable;
+// 	    if (can_enable) {
+// 		super.setEnabled(should_enable);
+// 	    }
+// 	}
+//     }
 }
